use crate::stack::StackVec;

pub fn rjmp(memory: &mut StackVec, labels: &mut [Option<i16>; 256], program_counter: &mut u16) {
    let start = memory.pop() as usize;
    let end   = memory.pop() as usize;

    *program_counter = (labels[fastrand::usize(start..end)].unwrap() - 1) as u16;
}